%define api		0.9
%define major		1
%define libname		%mklibname fame %api %major
%define develname	%mklibname fame -d

Summary:	Fast Assembly Mpeg Encoding library
Name:		libfame
Version:	0.9.1
Release:	%mkrel 29
License:	LGPLv2+
Group:		System/Libraries
URL:		https://fame.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/fame/libfame-%{version}.tar.bz2
Patch:		libfame-0.9.1-gcc34-1.patch.bz2
Patch1:		libfame-0.9.1-64bit.diff
Patch2:		libfame-0.9.1-fix-underquoted-calls.patch
Patch3:		libfame-0.9.1-mga-remove-standard-rpath.patch
Patch4:		libfame-fix-building-with-gcc14.patch

%description
FAME is a library for fast MPEG encoding.

%package -n %libname
Summary:	Fast Assembly Mpeg Encoding library
Group:		System/Libraries

%description -n %libname
FAME is a library for fast MPEG encoding.

%package -n %develname
Summary:	Libraries and include to develop using FAME
Group:		Development/C
Requires:	%libname = %version-%release
Provides:	%name-devel = %version-%release 
Provides:	libfame0.9-devel = %version-%release
Conflicts:	libfame-devel < %version
Obsoletes:	%mklibname -d fame 0.9_1

%description -n %develname
FAME is a library for fast MPEG encoding.

This is the libraries, include files and other resources you can use
to develop FAME applications.

%prep
%setup -q
%autopatch -p1

%build
aclocal
autoconf
automake -a -f --foreign
%configure --disable-static
%make_build

%install
%make_install
%multiarch_binaries %{buildroot}%{_bindir}/*-config

find %{buildroot} -name '*.la' -delete

%files -n %libname
%doc CHANGES COPYING README
%{_libdir}/libfame-%{api}.so.%{major}{,.*}

%files -n  %develname
%doc CHANGES COPYING README
%{_bindir}/*-config
%{multiarch_bindir}/*-config
%{_libdir}/lib*.so
%{_includedir}/fame*.h
%{_datadir}/aclocal/*
%{_mandir}/man3/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.9.1-29.mga10
+ Revision: 2229043
- Mageia 10 Mass Rebuild

* Fri Oct 18 2024 ns80 <ns80> 0.9.1-28.mga10
+ Revision: 2107996
- another try to fix i686 build
- another try to fix i686 build
- readd aclocal, autoconf and automake
- try to fix i686 build
- bump rel
- try to fix building with GCC 14

* Fri Apr 15 2022 ns80 <ns80> 0.9.1-23.mga9
+ Revision: 1850203
- add patch remove-standard-rpath

* Tue Mar 15 2022 umeabot <umeabot> 0.9.1-22.mga9
+ Revision: 1792684
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 0.9.1-21.mga8
+ Revision: 1539923
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 14 2019 daviddavid <daviddavid> 0.9.1-20.mga8
+ Revision: 1466825
- drop static libraries and .la files

* Sun Sep 23 2018 umeabot <umeabot> 0.9.1-19.mga7
+ Revision: 1298838
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.9.1-18.mga6
+ Revision: 943909
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-17.mga5
+ Revision: 750184
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-16.mga5
+ Revision: 681454
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.1-15.mga4
+ Revision: 506931
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.1-14.mga3
+ Revision: 357094
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 13 2011 anssi <anssi> 0.9.1-13.mga1
+ Revision: 97993
- remove unneeded scriptlets
- mageiafy package
- ensure major correctness
- imported package libfame


* Mon May  2 2011 Götz Waschk <goetz@zarb.org> 0.9.1-12
- remove multiarch macro

* Sun Feb 22 2009 Götz Waschk <goetz@zarb.org> 0.9.1-11plf2009.1
- fix configure
- update license

* Thu Feb 21 2008 Götz Waschk <goetz@zarb.org> 0.9.1-10plf2008.1
- fix underquoted call in the m4 file

* Mon Jan 21 2008 Götz Waschk <goetz@zarb.org> 0.9.1-10plf2008.1
- fix plf reason
- new devel name

* Sun Sep 10 2006 Anssi Hannula <anssi@zarb.org> 0.9.1-8plf2007.0
- patch1: 64bit fixes

* Thu Jun 29 2006 Götz Waschk <goetz@zarb.org> 0.9.1-7plf
- Rebuild
- use mkrel

* Fri May 13 2005 Pascal Terjan <pterjan@zarb.org> 0.9.1-6plf
- multiarch

* Tue Jan 18 2005 Götz Waschk <goetz@zarb.org> 0.9.1-5plf
- update the patch

* Wed Nov 24 2004 Götz Waschk <goetz@zarb.org> 0.9.1-4plf
- patch for undefined symbol
- add source URL

* Mon Sep 20 2004 Götz Waschk <goetz@zarb.org> 0.9.1-3plf
- fix description

* Wed Feb 11 2004 Götz Waschk <goetz@plf.zarb.org> 0.9.1-2plf
- fix 9.0 build

* Wed Feb 11 2004 Götz Waschk <goetz@plf.zarb.org> 0.9.1-1plf
- use the mklibname macro
- autoconf 2.5 macro
- add conflict with older libfame-devel versions
- drop prefix
- new major number
- new version

* Sun Jun  2 2002 Götz Waschk <waschk@linux-mandrake.com> 0.9-1plf
- major number 0.9
- 0.9.0

* Tue May  7 2002 Götz Waschk <waschk@linux-mandrake.com> 0.8.10-1plf
- initial plf package 


